# -*- coding: utf-8 -*-

# Description: Tests for util-functionality..
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt fur Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import unittest
import os
import os.path

from mapwoc.lib.util import str_vacuum

class TestUtils(unittest.TestCase):
    def test_vacuum_defs(self):
        io = [ ("abc", "abc"),
               ("http://longurls.can.look.weird.in.gui/and/do/not/convey.information", "http://lo...ormation")
             ]
        for (b,a) in io:
            self.assertEqual(a, str_vacuum(b))

    def test_vaccum_parms(self):

        io = ("123456", "16")
        self.assertEqual(io[1], str_vacuum(io[0], 2, ""))
        io = ("123", "1.")
        self.assertEqual(io[1], str_vacuum(io[0], 2, "."))


